Package com.sas.metadata.remote

# Interface SXLEMap

All Superinterfaces:
  `CMetadata`, `Group`, `MdObjectBase`, `MdObjectBaseUtil`, `MdObjectBaseXML`, `PrimaryType`, `Remote`, `Root`

public interface SXLEMap extends Group
Root node for SXLE map definition.

Attributes of SXLEMap are:

- `IsInstituteSupplied`
- `MapVersion`
- `Validation`
- `ValidationSource`
- `ValidationPath`

Associations of SXLEMap are:

- `XMLMapTables`

## Usage

To create an instance of this SXLEMap, use the `factory` create methods.
Example: create a SXLEMap with name "SXLEMap_Object", in repository "AAAAAAAA".

     // create a store to contain your objects for this change. If you do not have an existing object
     // or store to use.  You may obtain the store from another object by using Object.getObjectStore().
     MdFactory factory; //where "factory" is a valid MdFactory instance
     MdObjectStore objectStore = factory.createObjectStore();
     SXLEMap myObject = (SXLEMap) factory.createComplexMetadataObject(objectStore, "SXLEMap_Object", MetadataObjects.SXLEMAP, "AAAAAAAA");
     myObject.updateMetadataAll();  // Write object to server
     objectStore.dispose();  // dispose of the object store if it is no longer needed

## Behavior

- Attributes and associations for this object can be retrieved by using the methods in `MdOMIUtil`.
- When changes are made to the object, either by setting an attribute or adding objects to a particular association, they can be persisted to the metadata server with the `updateMetadataAll` method.
- If an object needs to be deleted, the `delete` method can be used. This will flag the object as being deleted on the client, and will require an update call to persist the change to the server.

## Dependencies

This class depends on objects being contained in an MdObjectStore. Object stores should be disposed of when they are no longer needed as this will help clean up memory. Disposing an object store will dispose of all objects contained within that store.

Since:
  9.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ASSOCIATION_XMLMAPTABLES_NAME`
  Constant used for the name of the XMLMapTables association.
  `static final String`
  `ATTRIBUTE_ISINSTITUTESUPPLIED_NAME`
  Constant used for the name of the IsInstituteSupplied attribute.
  `static final String`
  `ATTRIBUTE_MAPVERSION_NAME`
  Constant used for the name of the MapVersion attribute.
  `static final String`
  `ATTRIBUTE_VALIDATION_NAME`
  Constant used for the name of the Validation attribute.
  `static final String`
  `ATTRIBUTE_VALIDATIONPATH_NAME`
  Constant used for the name of the ValidationPath attribute.
  `static final String`
  `ATTRIBUTE_VALIDATIONSOURCE_NAME`
  Constant used for the name of the ValidationSource attribute.

  ### Fields inherited from interface com.sas.metadata.remote.Group

  `ASSOCIATION_GROUPSUBSCRIPTIONS_NAME, ASSOCIATION_MEMBERS_NAME, ASSOCIATION_SOFTWARECOMPONENTS_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.MdObjectBase

  `ATTRIBUTE_DESC_NAME, ATTRIBUTE_ID_NAME, ATTRIBUTE_METADATACREATED_NAME, ATTRIBUTE_METADATAUPDATED_NAME, ATTRIBUTE_NAME_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.PrimaryType

  `ASSOCIATION_FAVORITESCONTAINERS_NAME, ATTRIBUTE_ISHIDDEN_NAME, ATTRIBUTE_PUBLICTYPE_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.Root

  `ASSOCIATION_ACCESSCONTROLS_NAME, ASSOCIATION_CHANGES_NAME, ASSOCIATION_CUSTOMASSOCIATIONS_NAME, ASSOCIATION_DOCUMENTS_NAME, ASSOCIATION_EXTENSIONS_NAME, ASSOCIATION_EXTERNALIDENTITIES_NAME, ASSOCIATION_GROUPS_NAME, ASSOCIATION_IMPLEMENTORS_NAME, ASSOCIATION_KEYWORDS_NAME, ASSOCIATION_LOCALIZEDATTRIBUTES_NAME, ASSOCIATION_NOTES_NAME, ASSOCIATION_PRIMARYPROPERTYGROUP_NAME, ASSOCIATION_PROMPTS_NAME, ASSOCIATION_PROPERTIES_NAME, ASSOCIATION_PROPERTYSETS_NAME, ASSOCIATION_REFERENCEDOBJECTS_NAME, ASSOCIATION_RESPONSIBLEPARTIES_NAME, ASSOCIATION_SOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME, ASSOCIATION_TARGETTRANSFORMATIONS_NAME, ASSOCIATION_TIMESTAMPS_NAME, ASSOCIATION_TREES_NAME, ASSOCIATION_TSOBJECTNAMESPACE_NAME, ASSOCIATION_USEDBYPROTOTYPES_NAME, ASSOCIATION_USINGPROTOTYPE_NAME, ASSOCIATION_VARIABLES_NAME, ATTRIBUTE_CHANGESTATE_NAME, ATTRIBUTE_LOCKEDBY_NAME, ATTRIBUTE_USAGEVERSION_NAME`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getIsInstituteSupplied()`
  Gets the `int` value of `IsInstituteSupplied`
  `int`
  `getIsInstituteSuppliedState()`
  Gets the Metadata State of `IsInstituteSupplied`
  `String`
  `getMapVersion()`
  Gets the `String` value of `MapVersion`
  `int`
  `getMapVersionMaxLength()`
  Gets the maximum length of `MapVersion`
  `int`
  `getMapVersionState()`
  Gets the Metadata State of `MapVersion`
  `int`
  `getValidation()`
  Gets the `int` value of `Validation`
  `String`
  `getValidationPath()`
  Gets the `String` value of `ValidationPath`
  `int`
  `getValidationPathMaxLength()`
  Gets the maximum length of `ValidationPath`
  `int`
  `getValidationPathState()`
  Gets the Metadata State of `ValidationPath`
  `int`
  `getValidationSource()`
  Gets the `int` value of `ValidationSource`
  `int`
  `getValidationSourceState()`
  Gets the Metadata State of `ValidationSource`
  `int`
  `getValidationState()`
  Gets the Metadata State of `Validation`
  `AssociationList`
  `getXMLMapTables()`
  Gets the AssociationList of `XMLMapTables`
  `AssociationList`
  `getXMLMapTables(boolean fGoToServer)`
  Gets the Associationlist of `XMLMapTables`
  `void`
  `initializePredObjects()`
  (S) Adds the Associated objects to the predObjects which are:
  `XMLMapTables`
  `void`
  `initializeRequiredObjects()`
  (S) This initializes the Required Objects(Roles) which are:
  `void`
  `setIsInstituteSupplied(int inIsInstituteSupplied)`
  Sets the `IsInstituteSupplied` value and sets the state to MetadataState.LOCAL.
  `void`
  `setIsInstituteSupplied(int inIsInstituteSupplied, int state)`
  Sets the `IsInstituteSupplied` Metadata State.
  `void`
  `setIsInstituteSupplied(String inIsInstituteSupplied)`
  Sets the `IsInstituteSupplied` value and sets the state to MetadataState.LOCAL.
  `void`
  `setIsInstituteSupplied(String inIsInstituteSupplied, int state)`
  Sets the `IsInstituteSupplied` value and Metadata State.
  `void`
  `setIsInstituteSuppliedState(int state)`
  Sets the Metadata State of `IsInstituteSupplied`.
  `void`
  `setMapVersion(String inMapVersion)`
  Sets the `MapVersion` value and sets the state to MetadataState.LOCAL.
  `void`
  `setMapVersion(String inMapVersion, int state)`
  Sets the `MapVersion` Metadata State.
  `void`
  `setMapVersionState(int state)`
  Sets the Metadata State of `MapVersion`.
  `void`
  `setValidation(int inValidation)`
  Sets the `Validation` value and sets the state to MetadataState.LOCAL.
  `void`
  `setValidation(int inValidation, int state)`
  Sets the `Validation` Metadata State.
  `void`
  `setValidation(String inValidation)`
  Sets the `Validation` value and sets the state to MetadataState.LOCAL.
  `void`
  `setValidation(String inValidation, int state)`
  Sets the `Validation` value and Metadata State.
  `void`
  `setValidationPath(String inValidationPath)`
  Sets the `ValidationPath` value and sets the state to MetadataState.LOCAL.
  `void`
  `setValidationPath(String inValidationPath, int state)`
  Sets the `ValidationPath` Metadata State.
  `void`
  `setValidationPathState(int state)`
  Sets the Metadata State of `ValidationPath`.
  `void`
  `setValidationSource(int inValidationSource)`
  Sets the `ValidationSource` value and sets the state to MetadataState.LOCAL.
  `void`
  `setValidationSource(int inValidationSource, int state)`
  Sets the `ValidationSource` Metadata State.
  `void`
  `setValidationSource(String inValidationSource)`
  Sets the `ValidationSource` value and sets the state to MetadataState.LOCAL.
  `void`
  `setValidationSource(String inValidationSource, int state)`
  Sets the `ValidationSource` value and Metadata State.
  `void`
  `setValidationSourceState(int state)`
  Sets the Metadata State of `ValidationSource`.
  `void`
  `setValidationState(int state)`
  Sets the Metadata State of `Validation`.
  `void`
  `setXMLMapTables(AssociationList list)`
  Sets the `XMLMapTables` list to be `list`.
  `void`
  `setXMLMapTables(AssociationList inObjects, int state)`
  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

  ### Methods inherited from interface com.sas.metadata.remote.Group

  `getGroupSubscriptions, getGroupSubscriptions, getMembers, getMembers, getSoftwareComponents, getSoftwareComponents, setGroupSubscriptions, setGroupSubscriptions, setMembers, setMembers, setSoftwareComponents, setSoftwareComponents`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBase

  `addElementToChangeList, clearChangeList, getChangeList, getCMetadataType, getDesc, getDescMaxLength, getDescState, getFQID, getId, getIdState, getMetadataCreated, getMetadataCreatedState, getMetadataUpdated, getMetadataUpdatedState, getName, getNameMaxLength, getNameState, getObjectStore, getPredAssociations, getRepositoryID, getRequiredAssociations, getState, isAssociationRequired, isNewObject, isPredAssociation, removeElementFromChangeList, resetObject, resetState, resetStates, setCMetadataType, setDesc, setDesc, setDescState, setFQID, setFQID, setId, setId, setIdState, setMetadataCreated, setMetadataCreated, setMetadataCreatedState, setMetadataUpdated, setMetadataUpdated, setMetadataUpdatedState, setName, setName, setNameState, setObjectStore, setState`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBaseUtil

  `addMdObjectListener, delete, dispose, fireMdObjectModified, getAssociatedObjects, getAssociatedObjects, getAssociatedObjects, getAssociationNames, getAssocs, getAssocsWA, getAttributeNames, getAttrs, getAttrsStates, getAuthorizationUtil, getChangeManagementState, getChgMgtExternalIdentityImportType, getClientSideOnlyObject, getMdObjectAssociation, getPopulatedAssocs, getUpdatedAttrs, getViewList, isCheckedOut, isLocked, objectModified, removeMdObjectListener, setAttrs, setChangeManagementTargetRepository, setChgMgtExternalIdentityImportType, setClientSideOnlyObject, setMdObjectAssociation, touch, updateAssnsIds`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBaseXML

  `closeUpdateMetadataXML, createEmptyXML, createObjectRefreshXML, createObjectXML, createObjectXML, createUpdateAssociationXML, createUpdateAssociationXML, createUpdateSimpleXML, doCreateUpdateXML, getUpdateSimpleSubstring, updateMetadataAll`

  ### Methods inherited from interface com.sas.metadata.remote.PrimaryType

  `getFavoritesContainers, getFavoritesContainers, getIsHidden, getIsHiddenState, getPublicType, getPublicTypeMaxLength, getPublicTypeState, setFavoritesContainers, setFavoritesContainers, setIsHidden, setIsHidden, setIsHidden, setIsHidden, setIsHiddenState, setPublicType, setPublicType, setPublicTypeState`

  ### Methods inherited from interface com.sas.metadata.remote.Root

  `getAccessControls, getAccessControls, getChanges, getChanges, getChangeState, getChangeStateMaxLength, getChangeStateState, getCustomAssociations, getCustomAssociations, getDocuments, getDocuments, getExtensions, getExtensions, getExternalIdentities, getExternalIdentities, getGroups, getGroups, getImplementors, getImplementors, getKeywords, getKeywords, getLocalizedAttributes, getLocalizedAttributes, getLockedBy, getLockedByMaxLength, getLockedByState, getNotes, getNotes, getPrimaryPropertyGroup, getPrimaryPropertyGroups, getPrimaryPropertyGroups, getPrompts, getPrompts, getProperties, getProperties, getPropertySets, getPropertySets, getReferencedObjects, getReferencedObjects, getResponsibleParties, getResponsibleParties, getSourceTransformations, getSourceTransformations, getSpecSourceTransformations, getSpecSourceTransformations, getSpecTargetTransformations, getSpecTargetTransformations, getTargetTransformations, getTargetTransformations, getTimestamps, getTimestamps, getTrees, getTrees, getTSObjectNamespace, getTSObjectNamespaces, getTSObjectNamespaces, getUsageVersion, getUsageVersionState, getUsedByPrototypes, getUsedByPrototypes, getUsingPrototype, getUsingPrototypes, getUsingPrototypes, getVariables, getVariables, setAccessControls, setAccessControls, setChanges, setChanges, setChangeState, setChangeState, setChangeStateState, setCustomAssociations, setCustomAssociations, setDocuments, setDocuments, setExtensions, setExtensions, setExternalIdentities, setExternalIdentities, setGroups, setGroups, setImplementors, setImplementors, setKeywords, setKeywords, setLocalizedAttributes, setLocalizedAttributes, setLockedBy, setLockedBy, setLockedByState, setNotes, setNotes, setPrimaryPropertyGroup, setPrimaryPropertyGroups, setPrimaryPropertyGroups, setPrompts, setPrompts, setProperties, setProperties, setPropertySets, setPropertySets, setReferencedObjects, setReferencedObjects, setResponsibleParties, setResponsibleParties, setSourceTransformations, setSourceTransformations, setSpecSourceTransformations, setSpecSourceTransformations, setSpecTargetTransformations, setSpecTargetTransformations, setTargetTransformations, setTargetTransformations, setTimestamps, setTimestamps, setTrees, setTrees, setTSObjectNamespace, setTSObjectNamespaces, setTSObjectNamespaces, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersionState, setUsedByPrototypes, setUsedByPrototypes, setUsingPrototype, setUsingPrototypes, setUsingPrototypes, setVariables, setVariables`

- ## Field Details

  - ### ATTRIBUTE_ISINSTITUTESUPPLIED_NAME

    static final String ATTRIBUTE_ISINSTITUTESUPPLIED_NAME
    Constant used for the name of the IsInstituteSupplied attribute.

    IsInstituteSupplied: The answer to the question: Is this map supplied by SAS?

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_MAPVERSION_NAME

    static final String ATTRIBUTE_MAPVERSION_NAME
    Constant used for the name of the MapVersion attribute.

    MapVersion: A string representing the major and minor versions, release and build number of the map.

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_VALIDATION_NAME

    static final String ATTRIBUTE_VALIDATION_NAME
    Constant used for the name of the Validation attribute.

    Validation: The type of validation available for the map file. 0 = none 1 = XSD 2 = DTD

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_VALIDATIONSOURCE_NAME

    static final String ATTRIBUTE_VALIDATIONSOURCE_NAME
    Constant used for the name of the ValidationSource attribute.

    ValidationSource: The source of the validation for the map file. 0 = Web 1 = File

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_VALIDATIONPATH_NAME

    static final String ATTRIBUTE_VALIDATIONPATH_NAME
    Constant used for the name of the ValidationPath attribute.

    ValidationPath: The path to the validation for the map file.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_XMLMAPTABLES_NAME

    static final String ASSOCIATION_XMLMAPTABLES_NAME
    Constant used for the name of the XMLMapTables association.

    XMLMapTables: The tables used to help define this SXLE map.

    See Also:
      - Constant Field Values

- ## Method Details

  - ### initializeRequiredObjects

    void initializeRequiredObjects() throws RemoteException
    (S) This initializes the Required Objects(Roles) which are:
    Specified by:
      `initializeRequiredObjects` in interface `Group`
    Specified by:
      `initializeRequiredObjects` in interface `MdObjectBaseUtil`
    Specified by:
      `initializeRequiredObjects` in interface `PrimaryType`
    Specified by:
      `initializeRequiredObjects` in interface `Root`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### initializePredObjects

    void initializePredObjects() throws RemoteException
    (S) Adds the Associated objects to the predObjects which are:
    `XMLMapTables`
    Specified by:
      `initializePredObjects` in interface `Group`
    Specified by:
      `initializePredObjects` in interface `MdObjectBase`
    Specified by:
      `initializePredObjects` in interface `PrimaryType`
    Specified by:
      `initializePredObjects` in interface `Root`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getIsInstituteSupplied

    int getIsInstituteSupplied() throws RemoteException
    Gets the `int` value of `IsInstituteSupplied`
    Returns:
      The `IsInstituteSupplied`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getIsInstituteSuppliedState

    int getIsInstituteSuppliedState() throws RemoteException
    Gets the Metadata State of `IsInstituteSupplied`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getMapVersion

    String getMapVersion() throws RemoteException
    Gets the `String` value of `MapVersion`
    Returns:
      The `MapVersion`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getMapVersionState

    int getMapVersionState() throws RemoteException
    Gets the Metadata State of `MapVersion`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getMapVersionMaxLength

    int getMapVersionMaxLength() throws RemoteException
    Gets the maximum length of `MapVersion`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getValidation

    int getValidation() throws RemoteException
    Gets the `int` value of `Validation`
    Returns:
      The `Validation`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getValidationState

    int getValidationState() throws RemoteException
    Gets the Metadata State of `Validation`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getValidationSource

    int getValidationSource() throws RemoteException
    Gets the `int` value of `ValidationSource`
    Returns:
      The `ValidationSource`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getValidationSourceState

    int getValidationSourceState() throws RemoteException
    Gets the Metadata State of `ValidationSource`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getValidationPath

    String getValidationPath() throws RemoteException
    Gets the `String` value of `ValidationPath`
    Returns:
      The `ValidationPath`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getValidationPathState

    int getValidationPathState() throws RemoteException
    Gets the Metadata State of `ValidationPath`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getValidationPathMaxLength

    int getValidationPathMaxLength() throws RemoteException
    Gets the maximum length of `ValidationPath`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getXMLMapTables

    AssociationList getXMLMapTables() throws RemoteException, MdException
    Gets the AssociationList of `XMLMapTables`
    Returns:
      Returns the AssociationList of `XMLMapTables` which can be of type:
      RelationalTable
      PhysicalTable
      WorkTable
      SecuredTable
      QueryTable
      JoinTable
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getXMLMapTables

    AssociationList getXMLMapTables(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `XMLMapTables`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the AssociationList of `XMLMapTables` which can be of type:
      RelationalTable
      PhysicalTable
      WorkTable
      SecuredTable
      QueryTable
      JoinTable
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### setIsInstituteSupplied

    void setIsInstituteSupplied(int inIsInstituteSupplied) throws RemoteException
    Sets the `IsInstituteSupplied` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inIsInstituteSupplied` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setIsInstituteSupplied

    void setIsInstituteSupplied(int inIsInstituteSupplied, int state) throws RemoteException
    Sets the `IsInstituteSupplied` Metadata State.
    Parameters:
      `inIsInstituteSupplied` - int
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setIsInstituteSupplied

    void setIsInstituteSupplied(String inIsInstituteSupplied) throws RemoteException
    Sets the `IsInstituteSupplied` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inIsInstituteSupplied` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setIsInstituteSupplied

    void setIsInstituteSupplied(String inIsInstituteSupplied, int state) throws RemoteException
    Sets the `IsInstituteSupplied` value and Metadata State.
    Parameters:
      `inIsInstituteSupplied` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setIsInstituteSuppliedState

    void setIsInstituteSuppliedState(int state) throws RemoteException
    Sets the Metadata State of `IsInstituteSupplied`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setMapVersion

    void setMapVersion(String inMapVersion) throws RemoteException
    Sets the `MapVersion` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inMapVersion` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setMapVersion

    void setMapVersion(String inMapVersion, int state) throws RemoteException
    Sets the `MapVersion` Metadata State.
    Parameters:
      `inMapVersion` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setMapVersionState

    void setMapVersionState(int state) throws RemoteException
    Sets the Metadata State of `MapVersion`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setValidation

    void setValidation(int inValidation) throws RemoteException
    Sets the `Validation` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inValidation` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setValidation

    void setValidation(int inValidation, int state) throws RemoteException
    Sets the `Validation` Metadata State.
    Parameters:
      `inValidation` - int
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setValidation

    void setValidation(String inValidation) throws RemoteException
    Sets the `Validation` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inValidation` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setValidation

    void setValidation(String inValidation, int state) throws RemoteException
    Sets the `Validation` value and Metadata State.
    Parameters:
      `inValidation` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setValidationState

    void setValidationState(int state) throws RemoteException
    Sets the Metadata State of `Validation`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setValidationSource

    void setValidationSource(int inValidationSource) throws RemoteException
    Sets the `ValidationSource` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inValidationSource` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setValidationSource

    void setValidationSource(int inValidationSource, int state) throws RemoteException
    Sets the `ValidationSource` Metadata State.
    Parameters:
      `inValidationSource` - int
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setValidationSource

    void setValidationSource(String inValidationSource) throws RemoteException
    Sets the `ValidationSource` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inValidationSource` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setValidationSource

    void setValidationSource(String inValidationSource, int state) throws RemoteException
    Sets the `ValidationSource` value and Metadata State.
    Parameters:
      `inValidationSource` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setValidationSourceState

    void setValidationSourceState(int state) throws RemoteException
    Sets the Metadata State of `ValidationSource`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setValidationPath

    void setValidationPath(String inValidationPath) throws RemoteException
    Sets the `ValidationPath` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inValidationPath` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setValidationPath

    void setValidationPath(String inValidationPath, int state) throws RemoteException
    Sets the `ValidationPath` Metadata State.
    Parameters:
      `inValidationPath` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setValidationPathState

    void setValidationPathState(int state) throws RemoteException
    Sets the Metadata State of `ValidationPath`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setXMLMapTables

    void setXMLMapTables(AssociationList list) throws RemoteException
    Sets the `XMLMapTables` list to be `list`. Objects of which can be of type:
    RelationalTable
    PhysicalTable
    WorkTable
    SecuredTable
    QueryTable
    JoinTable
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setXMLMapTables

    void setXMLMapTables(AssociationList inObjects, int state) throws RemoteException
    Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
    Parameters:
      `inObjects` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.